﻿using Luski.net.Enums;
using System.Text.Json.Serialization;

namespace Luski.net.JsonTypes.BaseTypes;

public class IncomingWSS
{
    [JsonPropertyName("type")]
    [JsonInclude]
    public DataType? Type { get; set; } = DataType.Login!;
    [JsonPropertyName("error")]
    [JsonInclude]
    public string Error { get; set; } = default!;
}

[JsonSerializable(typeof(IncomingWSS))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.Unspecified,
    WriteIndented = false)]
public partial class IncomingWSSContext : JsonSerializerContext
{

}
