using System;
using System.Threading.Tasks;
using Luski.net.Structures;
using Luski.net.Structures.Main;

namespace Luski.net;

public partial class MainServer
{
    public event Func<MainSocketMessage, Task>? MessageReceived;
    
    public event Func<MainSocketRemoteUser, Task>? ReceivedFriendRequest;

    public event Func<MainSocketRemoteUser, bool, Task>? FriendRequestResult;
}