﻿using Luski.net.JsonTypes.BaseTypes;
using System.Text.Json.Serialization;
using Luski.Shared.PublicServers.V1.ServerToClient.HTTP;

namespace Luski.net.JsonTypes;

internal class OfflineKeyData : STC
{
    public KeyExchange[]? keys { get; internal set; } = default!;
}

[JsonSerializable(typeof(OfflineKeyData))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.CamelCase,
    WriteIndented = false)]
internal partial class OfflineKeyDataContext : JsonSerializerContext
{

}
