using System.Text.Json.Serialization;

namespace Luski.net.JsonTypes.WSS;

public class WSSOut
{
    [JsonInclude]
    [JsonPropertyName("data")]
    public ServerEvent Data { get; set; }
    [JsonInclude]
    [JsonPropertyName("send_type")]
    public int SendType { get; set; } = 1;
}

[JsonSerializable(typeof(WSSOut))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.CamelCase,
    WriteIndented = false)]
internal partial class WSSOutContext : JsonSerializerContext
{

}